#include "NetworkManager.h"

NetworkManager::NetworkManager()
    : mActiveSockets(),
        mSocketInterface()
{

}

NetworkManager::~NetworkManager()
{

}

std::unique_ptr<NetworkManager> NetworkManager::Create()
{
    return std::make_unique<NetworkManager>();
}

void NetworkManager::Initialize()
{
    mSocketInterface = SocketInterface::Create();
}

void NetworkManager::RunHttpServer()
{
    auto socket = Socket::Create();
    mSocketInterface->CreateSocket(socket);
    mSocketInterface->Listen(socket);
    mSocketInterface->Run(socket);
}

void NetworkManager::ShutDown()
{

}
